## com.easysw.cups
Class IPP

    java.lang.Object
      |
      +--com.easysw.cups.IPP

public class IPP
extends java.lang.Object

An `IPP` object is used to hold the various attributes and status of an ipp request..

Since:
  JDK1.3

Field Summary
`java.util.List` `attrs`
`IPPRequest` `request`
`IPPStatus` `status`

Constructor Summary
`IPP()`

Method Summary
`boolean` `addAttribute(IPPAttribute a)` Add an attribute to the attibutes list for later parsing.
`void` `dump_response()`
`IPPAttribute` `getCurrentAttribute()` Get the current attribute pointed at by `current`.
`IPPAttribute` `ippFindAttribute(java.lang.String p_name, int p_type)` Find the named attribute of the correct type.
`IPPAttribute` `ippFindNextAttribute(java.lang.String p_name, int p_type)` Find the named attribute of the correct type.
`void` `setRequestID(short p_id)` Set the `IPP` request ID.
`void` `setRequestOperationID(short p_operation_id)` Set the `IPP` operation ID.
`int` `sizeInBytes()` Get the size in bytes of an `IPP` request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    public IPPRequest request

### status

    public IPPStatus status

### attrs

    public java.util.List attrs

Constructor Detail

### IPP

    public IPP()

Method Detail

### addAttribute

    public boolean addAttribute(IPPAttribute a)

  Add an attribute to the attibutes list for later parsing.
  Parameters:
    `a` - `IPPAttribute` to add.
  Returns:
    `true` always returns `true` for now.
  See Also:
    `IPPAttribute`, `IPPValue`

### getCurrentAttribute

    public IPPAttribute getCurrentAttribute()

  Get the current attribute pointed at by `current`.
  Returns:
    `IPPAttribute` Return the current attribute.

### ippFindAttribute

    public IPPAttribute ippFindAttribute(java.lang.String p_name,
                                         int p_type)

  Find the named attribute of the correct type. Both must match. This methos searches from the beginning of the attribute list, rather than from the current position.
  Parameters:
    `p_name` - `String` containing the name.
    `p_type` - `int` attribute type.
  Returns:
    `IPPAttribute` Matching attribute if found.

### ippFindNextAttribute

    public IPPAttribute ippFindNextAttribute(java.lang.String p_name,
                                             int p_type)

  Find the named attribute of the correct type. Both must match. This methos searches from the current position in the attribute list.
  Parameters:
    `p_name` - `String` containing the name.
    `p_type` - `int` attribute type.
  Returns:
    `IPPAttribute` Matching attribute if found.

### sizeInBytes

    public int sizeInBytes()

  Get the size in bytes of an `IPP` request.
  Returns:
    `int` Number of bytes for the request.

### setRequestID

    public void setRequestID(short p_id)

  Set the `IPP` request ID.
  Parameters:
    `p_id` - `short` request id.

### setRequestOperationID

    public void setRequestOperationID(short p_operation_id)

  Set the `IPP` operation ID.
  Parameters:
    `p_operation_id` - `short` operation id.

### dump_response

    public void dump_response()